Package: org.gradle.nativeplatform

## [Java] Interface NativeLibrarySpec

- org.gradle.nativeplatform.NativeLibrarySpec

- All Superinterfaces:
    ComponentSpec, PlatformAwareComponentSpec, LibrarySpec, TargetedNativeComponent, NativeComponentSpec

  Definition of a native library component that is to be built by Gradle.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NativeLibraryRequirement` | `getApi()` Converts this library to a native library requirement that uses the api library linkage.
    `NativeLibraryRequirement` | `getShared()` Converts this library to a native library requirement that uses the shared library variant.
    `NativeLibraryRequirement` | `getStatic()` Converts this library to a native library requirement that uses the static library variant.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeComponentSpec` | `getBaseName, setBaseName`
    `interface TargetedNativeComponent` | `targetBuildTypes, targetFlavors`
    `interface PlatformAwareComponentSpec` | `targetPlatform`

- - ### Method Detail

    - #### public NativeLibraryRequirement getApi()

      Converts this library to a native library requirement that uses the api library linkage.

    - #### public NativeLibraryRequirement getShared()

      Converts this library to a native library requirement that uses the shared library variant. This is the default.

    - #### public NativeLibraryRequirement getStatic()

      Converts this library to a native library requirement that uses the static library variant.